/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN                                                       //
//                                                                                //
//  FILE: SEGNALI.DCL                                                             //
//                                                                                //
//  Scritto da:  Stefania Martinelli                                              //
//                                                                                //
//  RELEASE: 3.00     DATA: dicembre 1997                                         //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1997                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ---------------------- SegnaliDlg --------------------------------------*/
SegnaliDlg : dialog
             {
              key = "tipo_seg"; initial_focus = "lista_segnali";
              : row
                {
                 : list_box
                   {
                    key = "lista_segnali"; label = "Elenco Segnali";
                    width = 55; tabs = "6";
                   }
                 : boxed_column
                   {
                    label = "Segnale Corrente";
                    : row
                      {
                       : image_button
                         {
                          color = dialog_background;
                          height = 7; key = "segnale";
                          aspect_ratio = 1.4;
                          fixed_height = true; fixed_width = true; 
                        }
                      : boxed_radio_column
                        {
                         key = "dim"; label = "Dim."; 
                         fixed_width = true; fixed_height = true;
                         : radio_button
                           {
                            label = "Piccolo"; key = "p";
                           }
                         : radio_button
                           {
                            label = "Normale"; key = "n";
                           }
                         : radio_button
                           {
                            label = "Grande"; key = "g";
                           }
                         } /* boxed_radio_column */
                      } /* row */
                    : row
                      {
                       fixed_heigth = true; fixed_width = true;
                       : text
                         {
                          label = "Codice"; width = 6;
                         }
                       : text
                         {
                          key = "cod"; width = 15;
                         }
                      } /* column */
                    : column
                      {
                       fixed_height = true;
                       : text
                         {
                          key = "desc1"; width = 38; 
                         }
                       : text
                         {
                          key = "desc2"; width = 38; 
                         }
                       : text
                         {
                          key = "desc3"; width = 38; 
                         }
                      } /* column */
                   } /* boxed_column */
                } /* row */
              : row
                {
                 : boxed_column
                   {
                    label = "Opzioni";
                    : row
                      {
                       : toggle
                         {
                          label = "Specifica parametri sullo schermo"; 
                          key = "opzioni";
                         }
                       : toggle
                         {
                          label = "Inserisci Supporto"; key = "supporto";
                         }
                      } /* row */
                    : row
                      {
                       : column
                         {
                          : row
                            {
                             fixed_width = true;
                             : text
                               {
                                label = "Asse"; key = "t_asse"; width = 5;
                               }
                             : text
                               {
                                key = "asse"; width = 12;
                               }
                             : button
                               {
                                label = "Selez.>"; key = "sel_asse";
                               }
                            } /* row */
                          : row
                            {
                             fixed_width = true;
                             : text
                               {
                                label = "Prog"; key = "t_prog"; width = 5;
                               }
                             : edit_box
                               {
                                key = "prog"; edit_width = 10;
                               }
                             : button
                               {
                                label = "Selez.>"; key = "sel_prog";
                               }
                            } /* row */
                         } /* column */
                       : boxed_radio_column
                         {
                          label = "Lato"; key = "lato";
                          fixed_width = true;
                          : radio_button
                            {
                             label = "Sn"; key = "sn";
                            }
                          : radio_button
                            {
                             label = "Dx"; key = "dx";
                            }
                         } /* boxed_radio_column */
                       : boxed_radio_column
                         {
                          label = "Allineam."; key = "allineamento";
                          fixed_width = true;
                          : radio_button
                            {
                             label = "Asse"; key = "all_asse";
                            }
                          : radio_button
                            {
                             label = "UCS"; key = "all_ucs";
                            }
                         } /* boxed_radio_column */
                       : column
                         {
                          : row
                            {
                             : text
                               {
                                label = "Ciglio-Sostegno"; width = 17;
                                key = "t_dcp";
                               }
                             : edit_box
                               {
                                key = "dcp"; edit_width = 6;
                               }
                             : text
                               {
                                label = "m"; key = "testo3";
                               }
                            } /* row */
                          : row
                            {
                             : text
                               {
                                label = "Asse-Ciglio"; width = 17;
                                key = "t_das";
                               }
                             : edit_box
                               {
                                key = "das"; edit_width = 6;
                               }
                             : text
                               {
                                label = "m"; key = "testo1";
                               }
                            } /* row */
                          : row
                            {
                             : text
                               {
                                label = "Franco"; width = 17;
                                key = "t_franco";
                               }
                             : edit_box
                               {
                                key = "franco"; edit_width = 6;
                               }
                             : text
                               {
                                label = "m"; key = "testo2";
                               }
                            } /* row */
                         } /* column */
                      } /* row */
                   } /* boxed_column */
                } /* row */
              errtile;
              : row
                {
				/*: button
                   {
                    label = "Esci"; key = "accept";
                    fixed_width = true;
                   }*/
				 : button
				   {
					label = "Collega Segnale-Supporto"; key = "linkPS";
					fixed_width = true;
				   }
				 : row
					 {
					 fixed_width = true;
					 : toggle
					   {
						label = "Chiedi Scala/Rotazione"; key = "isScalaRot";
					   }
					 : button
					   {
						label = "Inserisci segnale"; key = "inser";
						fixed_width = true;
						is_default = true;
					   }
					}
				ok_only;
                } /* row */
             } /* end dialog */

